Skip to main content
GET
/
cash-management
/
programs
List cash management programs
curl --request GET \
  --url https://api.bluumfinance.com/v1/cash-management/programs \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "url": "<string>",
  "has_more": true,
  "data": [
    {
      "id": "cmp_01j9x8m2k7qpzwv3t5r6y8n0ab",
      "object": "cash_management_program",
      "created": 1750000000,
      "livemode": true,
      "name": "<string>",
      "status": "active",
      "variant": "conventional",
      "currencies": [
        "<string>"
      ],
      "enrollment_mode": "<string>",
      "liquidity_preference": "<string>",
      "minimum_balance": "<string>",
      "reinvestment_enabled": true,
      "auto_sweep_enabled": true,
      "auto_sweep_rules": {
        "minimum_idle_balance": "10.00",
        "reserve_amount": "100.00",
        "max_sweep_percentage": "100.00"
      },
      "required_disclosure_ids": [
        "<string>"
      ],
      "approved_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Query Parameters

status
enum<string>
Available options:
active,
paused,
suspended,
closed
limit
integer
default:50

Maximum number of records to return (1–100, default 50).

Required range: 1 <= x <= 100
offset
integer
default:0

Number of records to skip for pagination.

Required range: x >= 0

Response

200 - application/json

A list of programs

object
string
Example:

"list"

url
string
has_more
boolean
data
object[]